<?php
namespace Claromentis\Orgchart\Subscriber;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_f0abbaaeeb4" . "901fe8b478a2" . "f302e0607" => base64_decode("b25Qcm9maWxlRml" . "lbGREZWxldGU="), "_cccbf72fdd00aeb3489588124" . "d7137c3" => base64_decode("W" . "2" . "1" . "d"), "_cc365128de5c940bf35" . "fd2b5bd71bf31" => base64_decode("b25Qcm9maWxlRml" . "lbGRVcGRhdGU="), "_58ca0626eba249b" . "8a74733ff5ccf328" . "0" => base64_decode("cHJvZmlsZ" . "V9maWVsZH" . "M="));
use Claromentis\Core\Event\EventSubscriberInterface;
use Claromentis\Core\Metadata\Events\MetaDataEventType;
use Claromentis\Core\Metadata\Events\MetadataFieldDeletedEvent;
use Claromentis\Core\Metadata\Events\MetadataFieldUpdatedEvent;
use Claromentis\Orgchart\OrgchartApplication;
class UserFieldsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    public static function getSubscribedEvents() : array
    {
        return array(MetaDataEventType::FIELD_UPDATED => $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_cc365128de5c9" . "40bf35fd2b5bd7" . "1bf31"], MetaDataEventType::FIELD_DELETED => $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_f0abbaaeeb4901fe8b478a2f302e06" . "07"]);
    }
    public function onProfileFieldUpdate(MetadataFieldUpdatedEvent $event)
    {
        if ($event->GetMetadataSetType() != METADATA_SET_USER) {
            return;
        }
        $_d8f5eba4e43c8ff065b8dd64d682ad6c = $event->GetOldField();
        $_2fe7618e12aca07791d27b07f63963c8 = $event->GetNewField();
        $config = OrgchartApplication::getConfig();
        $_efaf49c1c48cffb67e16163f24ece765 = $config->get($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_58ca0626eba249b8a74733" . "ff5ccf3280"]) ?: [];
        foreach ($_efaf49c1c48cffb67e16163f24ece765 as $key => $_35ab4546eb09c38fc76fa5f9276eb2ad) {
            if ($_35ab4546eb09c38fc76fa5f9276eb2ad === $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_cccbf72fdd00aeb34895" . "88124d7137c3"] . $_d8f5eba4e43c8ff065b8dd64d682ad6c->GetName()) {
                $_efaf49c1c48cffb67e16163f24ece765[$key] = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_cccbf72fdd00aeb3489588124d7137c" . "3"] . $_2fe7618e12aca07791d27b07f63963c8->GetName();
                break;
            }
        }
        $config->set($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_58ca0626eba249b8a74733ff5ccf328" . "0"], $_efaf49c1c48cffb67e16163f24ece765);
        $config->save();
    }
    public function onProfileFieldDelete(MetadataFieldDeletedEvent $event)
    {
        if ($event->GetMetadataSetType() != METADATA_SET_USER) {
            return;
        }
        $_525740ec58795ae0359e93ffc33e30d2 = $event->GetDeletedField();
        $config = OrgchartApplication::getConfig();
        $_efaf49c1c48cffb67e16163f24ece765 = $config->get($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_58ca0626eba2" . "49b8a74733ff5" . "ccf3280"]);
        foreach ($_efaf49c1c48cffb67e16163f24ece765 as $key => $_35ab4546eb09c38fc76fa5f9276eb2ad) {
            if ($_35ab4546eb09c38fc76fa5f9276eb2ad === $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_cccbf72fdd00aeb3489588124d7137" . "c3"] . $_525740ec58795ae0359e93ffc33e30d2->GetName()) {
                unset($_efaf49c1c48cffb67e16163f24ece765[$key]);
                break;
            }
        }
        $config->set($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_58ca0626eba249b8a74733ff5ccf328" . "0"], $_efaf49c1c48cffb67e16163f24ece765);
        $config->save();
    }
}